Summary:	imake utilities - C preprocessor interface to the make utility
Summary(pl.UTF-8):	Narzędzia imake - interfejs preprocesora C do narzędzia make
Name:		xorg-util-imake
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Development/Tools
Source0:	http://xorg.freedesktop.org/releases/individual/util/imake-%{version}.tar.bz2
# Source0-md5:	797ec5dcad4df56eaafa0c701d6aa5ce
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	cpp >= 6:4.0.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	cpp >= 6:4.0.0
Requires:	xorg-cf-files
Obsoletes:	X11-imake < 1:7.0.0
Obsoletes:	XFree86-imake < 1:7.0.0
Obsoletes:	imake < 1:7.0.0
Obsoletes:	xorg-util-xmkmf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
imake utility plus the following support programs: ccmakedep,
mergelib, revpath, mkdirhier, makeg, cleanlinks, mkhtmlindex, xmkmf.

imake is used to generate Makefiles from a template, a set of cpp
macro functions, and a per-directory input file called an Imakefile.
This allows machine dependencies (such as compiler options, alternate
command names, and special make rules) to be kept separate from the
descriptions of the various items to be built.

%description -l pl.UTF-8
Narzędzie imake oraz następujące programy wspierające: ccmakedep,
mergelib, revpath, mkdirhier, makeg, cleanlinks, mkhtmlindex, xmkmf.

imake służy do generowania plików Makefile z szablonu, zbioru funkcji
makr cpp oraz plików wejściowych Imakefile umieszczonych w każdym
katalogu. Pozwala to na trzymanie elementów zależnych od maszyny
(takich jak opcje kompilatora, alternatywne nazwy poleceń oraz
specjalne reguły make) oddzielonych od opisów elementów do zbudoawnia.

%prep
%setup -q -n imake-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/ccmakedep
%attr(755,root,root) %{_bindir}/cleanlinks
%attr(755,root,root) %{_bindir}/imake
%attr(755,root,root) %{_bindir}/makeg
%attr(755,root,root) %{_bindir}/mergelib
%attr(755,root,root) %{_bindir}/mkdirhier
%attr(755,root,root) %{_bindir}/mkhtmlindex
%attr(755,root,root) %{_bindir}/revpath
%attr(755,root,root) %{_bindir}/xmkmf
%{_mandir}/man1/ccmakedep.1x*
%{_mandir}/man1/cleanlinks.1x*
%{_mandir}/man1/imake.1x*
%{_mandir}/man1/makeg.1x*
%{_mandir}/man1/mergelib.1x*
%{_mandir}/man1/mkdirhier.1x*
%{_mandir}/man1/mkhtmlindex.1x*
%{_mandir}/man1/revpath.1x*
%{_mandir}/man1/xmkmf.1x*
%changelog
* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 458ac87
- updated to 1.0.5

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 5e02fd5
- updated to 1.0.4

* Fri Apr 16 2010 Jakub Bogusz <qboosh@pld-linux.org> c4da24c
- updated util-macros version

* Fri Apr 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 52d502d
- up to 1.0.3

* Fri Jan 15 2010 sparky <sparky@pld-linux.org> a6f10ee
- R: xorg-cf-files (required by xmkmf); rel 5

* Thu Feb 26 2009 Elan Ruusamäe <glen@pld-linux.org> 08d797a
- require cpp >= 4.0 to avoid pulling compat-gcc for cpp dep; rel 4

* Mon Feb 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ec4da1e
- rebuild to fix FileDigestParameterized issue

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fbf4485
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8d042d0
- converted to UTF-8

* Sat Jan 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 90682c2
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

* Sun Dec 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 0ab9757
- longer desc from imake manual

* Tue May 23 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c8ad62
- up to 1.0.2

* Sun May 14 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b18b0f1
- no more X11R7.0 in setup

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c15f60
- update md5sum for individual files.

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> bee2c40
- switch to individual files

* Mon Feb 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 8d11f19
- Obsoletes: XFree86-imake, imake

* Mon Feb 20 2006 Artur Frysiak <artur@frysiak.net> 143afe1
- O: X11-imake
- release 2

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> bfc7e94
- release 1.

* Thu Dec 22 2005 Jakub Bogusz <qboosh@pld-linux.org> fe62956
- 1.0.1 (X11R7.0 release)

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 54521ec
- Obsoletes: xorg-util-xmkmf

